# onyx_lldp_interface – Manage LLDP interfaces configuration on Mellanox ONYX network devices

New in version 2.5.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module provides declarative management of LLDP interfaces configuration on Mellanox ONYX network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aggregate - |  | List of interfaces LLDP should be configured on.
name - |  | Name of the interface LLDP should be configured on.

purge
boolean

Choices:
- no ←
- yes

Purge interfaces not defined in the aggregate parameter.

state
-

Choices:
- present ←
- absent
- enabled
- disabled

State of the LLDP configuration.

## Examples

    - name: Configure LLDP on specific interfaces
      onyx_lldp_interface:
        name: Eth1/1
        state: present

    - name: Disable LLDP on specific interfaces
      onyx_lldp_interface:
        name: Eth1/1
        state: disabled

    - name: Enable LLDP on specific interfaces
      onyx_lldp_interface:
        name: Eth1/1
        state: enabled

    - name: Delete LLDP on specific interfaces
      onyx_lldp_interface:
        name: Eth1/1
        state: absent

    - name: Create aggregate of LLDP interface configurations
      onyx_lldp_interface:
        aggregate:
        - { name: Eth1/1 }
        - { name: Eth1/2 }
        state: present

    - name: Delete aggregate of LLDP interface configurations
      onyx_lldp_interface:
        aggregate:
        - { name: Eth1/1 }
        - { name: Eth1/2 }
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always. | The list of configuration mode commands to send to the device Sample: ['interface ethernet 1/1 lldp transmit', 'interface ethernet 1/1 lldp receive']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Samer Deeb (@samerd)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.